package com.dj.interceptor;

import org.apache.struts2.ServletActionContext;

import com.dj.pageModel.base.SessionInfo;
import com.dj.util.base.ResourceUtil;
import com.opensymphony.xwork2.ActionInvocation;
import com.opensymphony.xwork2.interceptor.MethodFilterInterceptor;

/**
 * session拦截器
 *
 * @author lili
 *
 */
public class SessionInterceptor extends MethodFilterInterceptor {

	private static final long serialVersionUID = 1L;

	protected String doIntercept(ActionInvocation actionInvocation) throws Exception {
		System.out.println("doIntercept===================");
		String[] token = ServletActionContext.getRequest().getParameterValues("token");
		SessionInfo sessionInfo = (SessionInfo) ServletActionContext.getRequest().getSession().getAttribute(ResourceUtil.getSessionInfoName());
		if (token != null) {
			for (String str : token) {
				if ("laowangzhuanyong".equals(str)) {
					return actionInvocation.invoke();
				}
			}
		}
		if (sessionInfo == null) {
			ServletActionContext.getRequest().setAttribute("msg", "您还没有登录或登录已超时，请重新登录，2秒后将跳转到登录页面！<br><a href='javascript:void(0)' onclick='skip()'>如不能自动跳转请点击此处</a>");
			return "noSession";
		}

		return actionInvocation.invoke();
	}

}
